Get recent email delivery logs
curl --request GET \
--url https://api.engagefabric.com/superadmin/emails/logsimport requests
url = "https://api.engagefabric.com/superadmin/emails/logs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.engagefabric.com/superadmin/emails/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": [
{
"id": "<string>",
"emailType": "<string>",
"recipient": "<string>",
"subject": "<string>",
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z"
}
],
"failedCount": 123
}Super Admin
Get recent email delivery logs
GET
/
superadmin
/
emails
/
logs
Get recent email delivery logs
Query Parameters
Number of logs to return (default: 50)
Filter by status
Available options:
PENDING, SENT, DELIVERED, FAILED, BOUNCED, COMPLAINED Filter by email type
Filter by recipient email
⌘I
